summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorTorben2018-05-24 09:38:27 +0200
committerTorben2018-05-24 09:38:27 +0200
commit1f8ff4a8ffb6bc2c3a913d647d735c3e7ec36b9a (patch)
tree3658450001060f417644e7d2ce7b6e577c04fd71
parent91e34bf1ad67ca2df0b149ba3b473cf598081f7d (diff)
downloadaur-1f8ff4a8ffb6bc2c3a913d647d735c3e7ec36b9a.tar.gz
Update enchant2 patch to work with the latest version
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD4
-rw-r--r--geary-enchant2.patch14
3 files changed, 11 insertions, 11 deletions
diff --git a/.SRCINFO b/.SRCINFO
index dd7719348ee..3cd65682c60 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = geary-git
pkgdesc = A lightweight email client for the GNOME desktop
- pkgver = r3535.d619d99d
+ pkgver = r3568.4ac7c10f
pkgrel = 1
url = https://wiki.gnome.org/Apps/Geary
arch = i686
@@ -35,7 +35,7 @@ pkgbase = geary-git
source = git://git.gnome.org/geary
source = geary-enchant2.patch
sha256sums = SKIP
- sha256sums = 062d9911e8790f59387e65b62b4a49d0d1769e1091ec2e2816b9c8302f6fb95d
+ sha256sums = 8bf6c0293a0e09b018c31da12f4d634467b74605054eec3e2454cdc0983ddc3f
pkgname = geary-git
diff --git a/PKGBUILD b/PKGBUILD
index b3fd1ca3785..38c8bf6438e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@
# Contributor: Massimiliano Torromeo <massimiliano.torromeo at gmail dot com>
pkgname=geary-git
-pkgver=r3535.d619d99d
+pkgver=r3568.4ac7c10f
pkgrel=1
pkgdesc="A lightweight email client for the GNOME desktop"
arch=(i686 x86_64)
@@ -20,7 +20,7 @@ conflicts=('geary')
source=('git://git.gnome.org/geary'
'geary-enchant2.patch')
sha256sums=('SKIP'
- '062d9911e8790f59387e65b62b4a49d0d1769e1091ec2e2816b9c8302f6fb95d')
+ '8bf6c0293a0e09b018c31da12f4d634467b74605054eec3e2454cdc0983ddc3f')
pkgver() {
cd "$srcdir/geary"
diff --git a/geary-enchant2.patch b/geary-enchant2.patch
index 2a200123ff2..d00c096f12b 100644
--- a/geary-enchant2.patch
+++ b/geary-enchant2.patch
@@ -26,12 +26,12 @@ diff --git a/meson.build b/meson.build
index 5874a98c..818d55f6 100644
--- a/meson.build
+++ b/meson.build
-@@ -61,7 +61,7 @@ webkit2gtk_dep = dependency('webkit2gtk-4.0', version: '>=' + target_webkit)
- webkit2gtk_web_extension_dep = dependency('webkit2gtk-web-extension-4.0', version: '>=' + target_webkit)
- javascriptcoregtk_lib = cc.find_library('javascriptcoregtk-4.0', version: '>=' + target_webkit)
- javascriptcoregtk_vapi = valac.find_library('javascriptcore-4.0', dirs: vapi_dir)
+@@ -51,7 +51,7 @@
+ webkit2gtk = dependency('webkit2gtk-4.0', version: '>=' + target_webkit)
+
+ # Secondary deps - keep sorted alphabetically
-enchant = dependency('enchant', version: '>= 1.6')
+enchant = dependency('enchant-2', version: '>= 1.6')
-
- # System dependencies ensures appropriate versions, but the declared
- # depencency is what we actually build against.
+ gcr = dependency('gcr-3', version: '>= 3.10.1')
+ gdk = dependency('gdk-3.0', version: '>=' + target_gtk)
+ gee = dependency('gee-0.8', version: '>= 0.8.5')